Create document
curl --request POST \
--url https://api.standardmetrics.io/v1/documents/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'company_id=<string>' \
--form file='@example-file'import requests
url = "https://api.standardmetrics.io/v1/documents/"
files = { "file": ("example-file", open("example-file", "rb")) }
payload = { "company_id": "<string>" }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('company_id', '<string>');
form.append('file', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.standardmetrics.io/v1/documents/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>"
}Documents
Create document
Creates a new document in the library for a company.
Notes:
- File size limit: 32 MB maximum.
- Accepted file types:
- PDF files (.pdf)
- Microsoft Word documents (.docx)
- Microsoft Excel spreadsheets (.xlsx)
- Microsoft PowerPoint presentations (.pptx)
- OpenDocument spreadsheets (.ods)
- JPEG images (.jpg, .jpeg)
- PNG images (.png)
- WebP images (.webp)
- GIF images (.gif)
Permissions:
- User must be authenticated via OAuth.
- User must have access to the company.
- User must have access to the company’s document data.
POST
/
documents
/
Create document
Authorizations
Your valid bearer token. All Auth tokens persist for all requests. Make sure to replace Client Credential Basic tokens with Bearer tokens after retrieving your bearer token. Go to the API Reference/Setup, User Guides/Initial Setup, or API Reference/Get API Access Token page to get your token.
Body
multipart/form-dataapplication/x-www-form-urlencoded
The id for the company whose documents to request. You can get a company's id by making a request to the /companies endpoint.
The file to add. Must be sent as part of a multipart/form-data POST request. File size limit: 32 MB maximum. Accepted file types: .pdf, .docx, .xlsx, .pptx, .ods, .jpg, .jpeg, .png, .webp, .gif